## org.eclipse.amp.escape.ide
Class InfoView

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.ui.part.WorkbenchPart
              org.eclipse.ui.part.ViewPart
                  org.eclipse.amp.axf.ide.view.ActiveModelViewPart
                      org.eclipse.amp.escape.ide.InfoView

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, org.eclipse.core.runtime.IExecutableExtension, org.eclipse.ui.IPersistable, org.eclipse.ui.IViewPart, org.eclipse.ui.IWorkbenchPart, org.eclipse.ui.IWorkbenchPart2, org.eclipse.ui.IWorkbenchPart3, org.eclipse.ui.part.IWorkbenchPartOrientation

    public class InfoView

extends ActiveModelViewPart

The 'About this Model' view. The 'About this Model' view displays information about a (AMF or Java based) model if it has been provided by the developer. In order to appear in this dialog, create a file named "About[MyModel].html" where "MyModel" is the model's Scape Class Name (not the AMF model file name). The file should be an html fragment -- that is, without body and head tags -- and can include any valid html tags, including links.

The model's class loader is used to locate the file. If the model is a workspace resource then `ProjectLoader` will be used to locate the file. See `ProjectLoader` for more info.

If the model is part of a loaded bundle then `org.eclipse.osgi.internal.loader.BundleLoader#findResource(String)` will be the class loader code used to locate the file using this search logic. To have the class loader search a res folder in the model's bundle add this entry to the model bundle's MANIFEST.MF:

`Bundle-Classpath: bin;res`

Then place the "About[MyModel].html" file in a "res" source folder in bundle's root directory in a parallel directory path to the Java class package. For example, an about file for a model defined by the scape "edu.brook.norms.Norms" could be placed at "res/edu/brook/norms/AboutNorms.html".

Author:
  mparker

Field Summary

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Constructor Summary
`InfoView()`

Method Summary
`void` `createPartControl(org.eclipse.swt.widgets.Composite parent)`
`void` `dispose()`
`protected void` `modelChanged(IModel model)`

Methods inherited from class org.eclipse.amp.axf.ide.view.ActiveModelViewPart
`setFocus`

Methods inherited from class org.eclipse.ui.part.ViewPart
`checkSite, getViewSite, init, init, saveState, setContentDescription, setInitializationData, setPartName`

Methods inherited from class org.eclipse.ui.part.WorkbenchPart

`addPartPropertyListener, addPropertyListener, firePartPropertyChanged, firePropertyChange, getAdapter, getConfigurationElement, getContentDescription, getDefaultImage, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, getTitleImage, getTitleToolTip, removePartPropertyListener, removePropertyListener, setPartProperty, setSite, setTitle, setTitleImage, setTitleToolTip, showBusy`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Constructor Detail

### InfoView

    public InfoView()

Method Detail

### createPartControl

    public void createPartControl(org.eclipse.swt.widgets.Composite parent)

  Specified by:
    `createPartControl` in interface `org.eclipse.ui.IWorkbenchPart`
  Overrides:
    `createPartControl` in class `ActiveModelViewPart`
  Parameters:
    `parent` -
  See Also:
    `WorkbenchPart.createPartControl(org.eclipse.swt.widgets.Composite)`

### modelChanged

    protected void modelChanged(IModel model)

  Specified by:
    `modelChanged` in class `ActiveModelViewPart`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.ui.IWorkbenchPart`
  Overrides:
    `dispose` in class `org.eclipse.ui.part.WorkbenchPart`